Download it now!
Bug 129568 - Rename Default Style to Default Paragraph/Page/Table Style
Summary: Rename Default Style to Default Paragraph/Page/Table Style
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0
Keywords: difficultyBeginner, easyHack, skillDesign, topicUI
Depends on:
Blocks: Styles
  Show dependency treegraph
 
Reported: 2019-12-23 10:06 UTC by Heiko Tietze
Modified: 2020-04-20 12:19 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
Paragraph styles in sidebar (14.88 KB, image/png)
2020-01-21 00:34 UTC, Ayhan Yalçınsoy
Details
Character styles in sidebar (18.17 KB, image/png)
2020-01-21 00:35 UTC, Ayhan Yalçınsoy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2019-12-23 10:06:12 UTC
To make it more clear what "Default" means it has been suggested in bug 129422 comment 5 to add the scope to the label. So "Default Style" should become "Default Paragraph Style", and page or table respectively.

The strings are in sw/inc/strings.hrc and can be simply edited with any text editor. Look for STR_POOLCOLL_STANDARD (Paragraph), STR_POOLPAGE_STANDARD (Page), and STR_TABSTYLE_DEFAULT (Table). Finally, the uitest needs to be adopted to the new strings. In uitests/writer_tests/indertPageHeader.py the lines ".uno:InsertPageHeader?PageStyle:string=Default%20Style&On:bool=true") should be ...string=Default%20Page%20Style&On... (probably other tests as well).

Adding needsUXEval for comments.
Comment 1 V Stuart Foote 2019-12-23 14:35:47 UTC
What is 'Default' and wouldn't work for Mike's suggestion in bug 128973 be the more precise way for users to interact with a document's styles--don't rename the Standard template provided 'Default'--work against what the user has designated as the default for the document?
Comment 2 Heiko Tietze 2020-01-06 08:30:14 UTC
(In reply to V Stuart Foote from comment #1)
> What is 'Default' and wouldn't work for Mike's suggestion in bug 128973 be
> the more precise way for users to interact with a document's styles--don't
> rename the Standard template provided 'Default'--work against what the user
> has designated as the default for the document?

"Use this style by default" is not a name. Point here is to more clearly distinguish between (paragraph) default and (character) default (as pointed out repeatedly is none) and (table) default etc.
Comment 3 Thomas Lendo 2020-01-07 21:42:41 UTC
(In reply to Heiko Tietze from comment #2)
> Point here is to more clearly
> distinguish between (paragraph) default and (character) default (as pointed
> out repeatedly is none) and (table) default etc.
I support that wording change for better distinctness.

I think there is already a bug for similar 'Edit style' command wording that also should be changed to be more precise (I couldn't found it yet).

But it seems to be a catastrophe for localization, LO help, books and so on.
Comment 4 Heiko Tietze 2020-01-09 08:42:53 UTC
(In reply to Heiko Tietze from comment #0)
> Adding needsUXEval for comments.

No objection, so let's do it.
Comment 5 Ayhan Yalçınsoy 2020-01-21 00:34:14 UTC
Created attachment 157286 [details]
Paragraph styles in sidebar
Comment 6 Ayhan Yalçınsoy 2020-01-21 00:35:18 UTC
Created attachment 157287 [details]
Character styles in sidebar
Comment 7 Ayhan Yalçınsoy 2020-01-21 00:39:37 UTC
I have fixed related files. But I could not find how can I remove "Default Paragraph Style" from character style tab of sidebarmenu. I need some tips.

[1](https://bugs.documentfoundation.org/attachment.cgi?id=157287).
Comment 8 Commit Notification 2020-02-02 14:42:00 UTC
ayhanyalcinsoy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0298a702b32bdc4c4711cf31461169e549153b39

tdf#129568 Rename Default Style to Default Paragraph/Page/Table Style

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Heiko Tietze 2020-02-03 11:22:18 UTC
Submitted patch works for paragraph, character, and page style but not table. So let's keep the ticket open.
Comment 10 Commit Notification 2020-02-05 09:12:49 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7d08664be4d9a949718ce66e3bc974105a10284c

tdf#129568 Rename the default table style

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Maxim Monastirsky 2020-02-09 09:00:00 UTC
This appears fixed.